#include "descriptor/descriptor.h"

int main(void) {
	ITEM vetro,marrone,verde,giallo,blu,rosa,bordeaux,bianco;
	ITEM vaso,orsetto,fiore,tavolo,stelo,bottone;
	ITEM scene;

	set_background(0.8,0.8,0.8,TRUE);
	set_ambient_light(1,1,1,0.7);
	//Luce 1) colpisce la scena da davanti
	create_point_light(-6.882,14.169,0.669,1,1,1,3.89,20, "light1");
	create_point_light(18.856,2.908,9.284,1,1,1,4,20, "light2");
	create_point_light(4.051,-10.650,8.603,1,1,1,3.89,25, "light3");


	vetro = create_attribute("vetro");
	set_color(vetro,0.68,0.86,1,0.5,0.5);
	set_reflectivity(vetro,0.24,2);
	set_transparency(vetro,0.87,0.68,1,1.2);

	marrone = create_attribute("marrone");
	set_color(marrone,0.93,0.23,0.03,0.2,0.8);

	rosa = create_attribute("rosa");
	set_color(rosa,1,0.7,0.7,0.2,0.8);

	bordeaux = create_attribute("bordeaux");
	set_color(bordeaux,0.3,0,0,0.2,0.8);

	blu = create_attribute("blu");
	set_color(blu,0,0,1,0.5,0.5);


	verde = create_attribute("verde");
	set_color(verde,0,0.8,0,0.5,0.5);

	giallo = create_attribute("giallo");
	set_color(giallo,1,1,0,0.2,0.8);

	bianco = create_attribute("bianco");
	set_color(bianco,1,1,1,1,1);

	tavolo = read_nurbs("table.db");
	set_scale(tavolo,1.25,1.25,1.25);
	set_translate(tavolo,18,20,0.05);
	set_cube_texture(tavolo,bordeaux,rosa);
	set_translate(tavolo,-20,-20,-3.9);
	set_y_rotate(tavolo,-23,1);
	set_x_rotate(tavolo,0.3,1);

	orsetto = read_obj("orsetto.obj", "orsetto");
	set_scale(orsetto,1.5,1.5,1.5);
	set_translate(orsetto,0,0,-2.45);
	set_y_rotate(orsetto,-15,1);
	set_z_rotate(orsetto,-30,1);

	set_attribute(orsetto,marrone);

	vaso = read_nurbs("vasobuono.db");
	set_scale(vaso,4,4,4);
	set_translate(vaso,-6,-2,0.05);
	set_y_rotate(vaso,-22,1);
	set_attribute(vaso,vetro);

	stelo = read_nurbs("stelo.db");
	set_scale(stelo,4,4,4);
	set_translate(stelo,-6,-1,0.05);
	set_y_rotate(stelo,-22,1);
	set_attribute(stelo,verde);

	bottone = read_nurbs("bottone.db");
	set_scale(bottone,4,4,4);
	set_translate(bottone,-6,-1,0.05);
	set_y_rotate(bottone,-22,1);
	set_attribute(bottone,blu);

	fiore = read_obj("fiore.obj", "fiore");
	set_scale(fiore,4,4,4);
	set_translate(fiore,-6,-1,0.05);
	set_y_rotate(fiore,-22,1);
	set_attribute(fiore,giallo);

	scene = create_list(orsetto, "scene");
	scene = insert_in_list(scene,fiore);
	scene = insert_in_list(scene,stelo);
	scene = insert_in_list(scene, bottone);
	scene = insert_in_list(scene,vaso);
	scene = insert_in_list(scene, tavolo);

	save_scene("orsetto.md","scene_orsetto",scene);
	return(0);
}
